Skip to main content
GET
/
v1
/
payment_failures
List
curl --request GET \
  --url https://{defaultHost}/v1/payment_failures \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/payment_failures"
  },
  "data": [
    {
      "id": "4bccfc14-9b3a-4a2e-9236-6da8c663ea80",
      "object": "payment_failure",
      "amount": 2900,
      "currency": "usd",
      "error_message": "Your card was declined.",
      "error_type": "payment_method_error",
      "renewal": true,
      "validation_error_codes": [],
      "checkout": null,
      "customer": "8709e68a-19ad-4b59-a76d-542dc0674330",
      "payment_intent": null,
      "payment_method": null,
      "created_at": 1772112988,
      "updated_at": 1772112988
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

checkout_ids[]
string[]

Only return objects that belong to the given checkouts.

customer_ids[]
string[]

Only return objects that belong to the given customers.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.